<template>
  <div class="ob-order-top-panel">
    <div class="ob-order-top-panel__header">
      <div class="ob-order-top-panel__amount">
        <div class="price">
          <p class="label">
            Сумма заказа
          </p>
          <p class="sum">
            {{ value.price | formatNumber }} ₽
          </p>
        </div>
        <div class="vat">
          <p class="label">
            В том числе НДС
          </p>
          <p class="sum">
            {{ value.vat| formatNumber }} ₽
          </p>
        </div>
      </div>
      <div class="ob-order-top-panel__date">
        <ob-date-picker
          label="Дата и время ПВП"
          :value="value.date"
          :readonly="false"
          :disabled="true"
          :is-inline="false"
          :is-time="true"
          :data-qa="dataQa"
        />
      </div>
      <div class="ob-order-top-panel__label">
        <div class="label-text">
          <span>Заказ {{ value.number }}</span>
          <span class="label-status">{{ value.status.label }}</span>
        </div>
        <div class="status">
          <div class="status-icon">
            <span v-html="statusIcon" />
          </div>
          <div class="status-text">
            {{ value.status.text }}
          </div>
        </div>
      </div>
    </div>
    <ob-tabs
      :items="tabs"
      :no-border="true"
      :data-qa="dataQa"
      @on-change-tab="onChangeTab"
    />
  </div>
</template>

<script>
import ObTabs from '../obTabs'
import ObDatePicker from '../obDatePickerConstructor'
export default {
  name: 'ObOrderTopPanel',
  components: {
    ObTabs,
    ObDatePicker
  },
  props: {
    value: {
      type: [Object],
      default: () => {
        return {
          number: '',
          date: '',
          price: '',
          vat: '',
          status: {
            label: '',
            text: '',
            icon: { name: '', color: '' }
          }
        }
      }
    },
    dataQa: {
      type: String
    }
  },
  data () {
    return {
      tabs: [{ title: 'Основное' }, { title: 'Услуги' }, { title: 'Исполнение' }, { title: 'Подтверждение исполнения' }, { title: 'Оплата' }]
    }
  },
  computed: {
    statusIcon () {
      return '<span class="icon ' + this.value.status.icon.name + '" style="color:' + this.value.status.icon.color + '" />'
    }
  },
  methods: {
    onChangeTab (tab) {
      this.$emit('on-change-tab', tab)
    }
  }
}
</script>

<style lang="scss">
  .ob-order-top-panel{
    background: $background-white;
    box-shadow: 0px 2px 10px rgba($color-blue-navy-blue, 0.15);
    padding: 20px 0px 0px 20px;
    .ob-tabs__panel-button{
      padding: 0px 20px;
    }
    &__label {
      .label-text {
        font-style: normal;
        font-weight: bold;
        font-size: 24px;
        line-height: 36px;
        letter-spacing: 0.2px;
        color: $obOrderTopPanel-label_text_color;
        span {

          display: inline-block;
          vertical-align: top;
          &.label-status {
            margin-left: 5px;
            font-style: normal;
            font-weight: normal;
            font-size: 12px;
            line-height: 20px;
            letter-spacing: 0.4px;
            font-variant: small-caps;
            color: $gray-slate;
            mix-blend-mode: normal;
            opacity: 0.8;
            text-transform: uppercase;
            padding-top: 5px;
          }
        }
      }
      .status {
        margin: 5px 0px 0px;
        background: rgba($color-green-light, 0.1);
        display: inline-block;
        position: relative;
        padding: 10px 10px 9px 39px;
        .status-icon {
          position: absolute;
          top: 3px;
          left: 0px;
          padding: 7px 10px;
          font-size: 16px;
        }
        .status-text {
          font-style: normal;
          font-weight: normal;
          font-size: 16px;
          line-height: 20px;
          letter-spacing: 0.2px;
          color: $color-text-base;
        }
      }
    }
    &__date {
      float:right;
      width: 210px;
      margin-right: 20px;
      margin-top: 4px;
    }

    &__amount {
      border-left: 1px solid $color-grey-border;
      padding: 8px 20px;
      float:right;
      width: 316px;
      .price {
        font-style: normal;
        font-weight: bold;
        font-size: 16px;
        line-height: 20px;
        text-align: center;
        letter-spacing: 0.2px;
        color: $color-text-base;
        .label {
          float: left;
        }
        .sum {
          text-align: right;
        }
      }
      .vat {
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        line-height: 20px;
        text-align: center;
        letter-spacing: 0.2px;
        color: $gray-slate;
        mix-blend-mode: normal;
        margin-top: 7px;
        .label {
          float: left;
        }
        .sum {
          text-align: right;
        }
      }
  }
  }
</style>
